libetonyek::IWORKTableRecorder Class Reference documentation

Classes | Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKTableRecorder Class Reference

`#include <IWORKTableRecorder.h>`

## Classes
struct | Impl

## Public Member Functions
| IWORKTableRecorder ()
void | replay (IWORKTable &table) const
void | setSize (unsigned columns, unsigned rows)
void | setHeaders (unsigned headerColumns, unsigned headerRows, unsigned footerRows)
void | setBandedRows (bool banded)
void | setRepeated (bool columns, bool rows)
void | setOrder (int order)
void | setStyle (const IWORKStylePtr_t &style)
void | setSizes (const IWORKColumnSizes_t &columnSizes, const IWORKRowSizes_t &rowSizes)
void | setBorders (const IWORKGridLineMap_t &verticalLines, const IWORKGridLineMap_t &horizontalLines)
void | setBorders (const IWORKGridLineMap_t &verticalLeftLines, const IWORKGridLineMap_t &verticalRightLines, const IWORKGridLineMap_t &horizontalTopLines, const IWORKGridLineMap_t &horizontalBottomLines)
void | setComment (unsigned column, unsigned row, IWORKOutputElements const &text)
void | insertCell (unsigned column, unsigned row, const boost::optional< std::string > &value, const std::shared_ptr< IWORKText > &content, const boost::optional< IWORKDateTimeData > &dateTime, unsigned columnSpan, unsigned rowSpan, const IWORKFormulaPtr_t &formula, const boost::optional< unsigned > &formulaHC, const IWORKStylePtr_t &style, IWORKCellType type)
void | insertCoveredCell (unsigned column, unsigned row)
void | setDefaultCellStyle (IWORKTable::CellType type, const IWORKStylePtr_t &style)
void | setDefaultLayoutStyle (IWORKTable::CellType type, const IWORKStylePtr_t &style)
void | setDefaultParagraphStyle (IWORKTable::CellType type, const IWORKStylePtr_t &style)

## Private Attributes
std::shared_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

## ◆ IWORKTableRecorder()

libetonyek::IWORKTableRecorder::IWORKTableRecorder | ( |  | ) |

## Member Function Documentation

## ◆ insertCell()

void libetonyek::IWORKTableRecorder::insertCell | ( | unsigned | column,
|  | unsigned | row,
|  | const boost::optional< std::string > & | value,
|  | const std::shared_ptr< IWORKText > & | content,
|  | const boost::optional< IWORKDateTimeData > & | dateTime,
|  | unsigned | columnSpan,
|  | unsigned | rowSpan,
|  | const IWORKFormulaPtr_t & | formula,
|  | const boost::optional< unsigned > & | formulaHC,
|  | const IWORKStylePtr_t & | style,
|  | IWORKCellType | type
| ) |  |

## ◆ insertCoveredCell()

void libetonyek::IWORKTableRecorder::insertCoveredCell | ( | unsigned | column,
|  | unsigned | row
| ) |  |

## ◆ replay()

void libetonyek::IWORKTableRecorder::replay | ( | IWORKTable & | table | ) | const

## ◆ setBandedRows()

void libetonyek::IWORKTableRecorder::setBandedRows | ( | bool | banded | ) |

## ◆ setBorders() [1/2]

void libetonyek::IWORKTableRecorder::setBorders | ( | const IWORKGridLineMap_t & | verticalLeftLines,
|  | const IWORKGridLineMap_t & | verticalRightLines,
|  | const IWORKGridLineMap_t & | horizontalTopLines,
|  | const IWORKGridLineMap_t & | horizontalBottomLines
| ) |  |

## ◆ setBorders() [2/2]

void libetonyek::IWORKTableRecorder::setBorders | ( | const IWORKGridLineMap_t & | verticalLines,
|  | const IWORKGridLineMap_t & | horizontalLines
| ) |  |

## ◆ setComment()

void libetonyek::IWORKTableRecorder::setComment | ( | unsigned | column,
|  | unsigned | row,
|  | IWORKOutputElements const & | text
| ) |  |

## ◆ setDefaultCellStyle()

void libetonyek::IWORKTableRecorder::setDefaultCellStyle | ( | IWORKTable::CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

## ◆ setDefaultLayoutStyle()

void libetonyek::IWORKTableRecorder::setDefaultLayoutStyle | ( | IWORKTable::CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

## ◆ setDefaultParagraphStyle()

void libetonyek::IWORKTableRecorder::setDefaultParagraphStyle | ( | IWORKTable::CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

## ◆ setHeaders()

void libetonyek::IWORKTableRecorder::setHeaders | ( | unsigned | headerColumns,
|  | unsigned | headerRows,
|  | unsigned | footerRows
| ) |  |

## ◆ setOrder()

void libetonyek::IWORKTableRecorder::setOrder | ( | int | order | ) |

## ◆ setRepeated()

void libetonyek::IWORKTableRecorder::setRepeated | ( | bool | columns,
|  | bool | rows
| ) |  |

## ◆ setSize()

void libetonyek::IWORKTableRecorder::setSize | ( | unsigned | columns,
|  | unsigned | rows
| ) |  |

## ◆ setSizes()

void libetonyek::IWORKTableRecorder::setSizes | ( | const IWORKColumnSizes_t & | columnSizes,
|  | const IWORKRowSizes_t & | rowSizes
| ) |  |

## ◆ setStyle()

void libetonyek::IWORKTableRecorder::setStyle | ( | const IWORKStylePtr_t & | style | ) |

## Member Data Documentation

## ◆ m_impl

std::shared_ptr<Impl> libetonyek::IWORKTableRecorder::m_impl
| private

Referenced by insertCell(), insertCoveredCell(), replay(), setBandedRows(), setBorders(), setComment(), setDefaultCellStyle(), setDefaultLayoutStyle(), setDefaultParagraphStyle(), setHeaders(), setOrder(), setRepeated(), setSize(), setSizes(), and setStyle().

The documentation for this class was generated from the following files:

- IWORKTableRecorder.h
- IWORKTableRecorder.cpp